#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_test:
	# don't run tests
#	make check VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	install -D -m 644 debian/sniproxy.conf debian/sniproxy/etc/sniproxy.conf
	install -D -m 644 debian/logrotate.conf debian/sniproxy/etc/logrotate.d/sniproxy.conf
	install -d -m 750 -o daemon -g adm debian/sniproxy/var/log/sniproxy

override_dh_installinit:
	dh_installinit --no-enable

%:
	dh $@ --with autoreconf
